org.gradle.language.cpp

## Interface CppSourceSet

- All Superinterfaces:
    Buildable, BuildableModelElement, DependentSourceSet, HeaderExportingSourceSet, LanguageSourceSet, Named

      @Incubating
      public interface CppSourceSet
      extends HeaderExportingSourceSet, LanguageSourceSet, DependentSourceSet

  A set of C++ source files.

  A C++ source set contains a set of source files, together with an optional set of exported header files.

       apply plugin: "cpp"

       model {
           components {
               main(NativeLibrarySpec) {
                   sources {
                       cpp {
                           source {
                               srcDirs "src/main/cpp", "src/shared/c++"
                               include "**/*.cpp"
                           }
                           exportedHeaders {
                               srcDirs "src/main/include", "src/shared/include"
                           }
                       }
                   }
               }
           }
       }

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.language.nativeplatform.HeaderExportingSourceSet

      `exportedHeaders, getExportedHeaders, getImplicitHeaders`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.DependentSourceSet

      `getLibs, getPreCompiledHeader, lib, setPreCompiledHeader`